/// <reference types="react" />
import { IAppearanceOptions } from "./types";
export interface StandabloneTabBarProps {
    renderTabIcon: (params: {
        focused: boolean;
        color: string;
        size: number;
        key: string;
    }) => any;
    onClickTab: (eachTabInfo: EachTabInfo) => void;
    onLongClickTab: (eachTabInfo: EachTabInfo) => void;
    routes: EachTabInfo[];
    index: number;
    appearance: IAppearanceOptions;
    tabBarOptions?: any;
}
export declare type EachTabInfo = {
    index: number;
    key: string;
};
declare const _default: ({ renderTabIcon, onClickTab, onLongClickTab, routes, index, appearance, tabBarOptions, }: StandabloneTabBarProps) => JSX.Element;
/**
 * @name TabBarElementStandalone
 * React Navigation v5 custom navigation (bottom tab bar) builder with an
 * an interactive animation, and easily customisable.
 *
 // * @param state Navigation state
 // * @param navigation Navigation object
 // * @param descriptors
 * @param appearance Object with appearance configurations (see readme)
 * @param rest
 *
 * @return function that creates the custom tab bar
 */
export default _default;
